## org.gnu.gtk
Class Accessible

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.atk.AtkObject
              org.gnu.gtk.Accessible

public class Accessible
extends AtkObject

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`Accessible(Handle handle)`

Method Summary
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`Widget` `getWidget()`
`protected static Handle` `getWidget(Handle cptr)`
`protected static int` `gtk_accessible_get_type()`

Methods inherited from class org.gnu.atk.AtkObject

`addRelationship, atk_object_add_relationship, atk_object_get_description, atk_object_get_index_in_parent, atk_object_get_layer, atk_object_get_mdi_zorder, atk_object_get_n_accessible_children, atk_object_get_name, atk_object_get_parent, atk_object_get_role, atk_object_get_type, atk_object_initialize, atk_object_notify_state_change, atk_object_ref_accessible_child, atk_object_ref_relation_set, atk_object_ref_state_set, atk_object_remove_property_change_handler, atk_object_remove_relationship, atk_object_set_description, atk_object_set_name, atk_object_set_parent, atk_object_set_role, atk_role_for_name, atk_role_get_localized_name, atk_role_get_name, getChild, getDescription, getIndexInParent, getLayer, getLocalizedRoleName, getMDIZorder, getName, getNumChildren, getParent, getRole, getRoleForName, getRoleName, removeRelationship, setDescription, setName, setParent, setRole`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Accessible

    public Accessible(Handle handle)

Method Detail

### getWidget

    public Widget getWidget()

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.

### getWidget

    protected static final Handle getWidget(Handle cptr)

### gtk_accessible_get_type

    protected static final int gtk_accessible_get_type()